Défis libristes

Porter des logiciels libres sous toutes les distributions ;)

Vous n'êtes pas identifié.

Annonce

Promouvoir et soutenir le logiciel libre L'hébergement libre pour les gens libres De la musique pour les gens libres

#51 21-05-2009 07:59:35

Cthulhu
Nouveau membre

Re: Script d'installation des paquets "tiers" sous Debian Lenny

Coucou, juste pour vous montrer le test en admin de la version 1_0_3.
Suite à des petits soucis, j'avais été obligé de retirer mplayer, je le réinstalle grâce à ce script :

Code:

sudo ./xcfa_install_all_1_0_3.pl 

 ______________________________________________________________________
|                                                                      |
|          xcfa_install_all.pl                    1.0.3                |
|______________________________________________________________________|
|                                                                      |
|  Script d'installation des programmes tiers necessaires pour XCFA    |
|                                                                      |
|     Script cree par:                                                 |
|     -b52         http://www.xcfa.tuxfamily.org/                      |
|     -leonux      http://ubunteros.tuxfamily.org/                     |
|     -Guillaume                                                       |
|     Licence GPL 2                                                    |
|______________________________________________________________________|
|                                                                      |
|      VOUS ETES ADMINISTRATEUR : ET L'INSTALLATION S'EFFECTUERA       |
|      Pour une simulation, connectez vous en simple utilisateur       |
|______________________________________________________________________|

Type de CPU ............. : i686
programme ............... : [ apt-get | aptitude ]
Type de paquet utilise .. : DEB

    Choix du programme d'installation
    [ 1 ] APT-GET par defaut
    [ 2 ] APTITUDE ? 2

Cette commande [ aptitude --assume-yes -y install ] sera utilisee

+=============================================================================
|  C H O I X   D E S   A P P L I C A T I O N S   A   I N S T A L L E R  ...
+=============================================================================
DEJA INSTALLE:    notify-send ....... A program to send desktop notifications 
Installation de:  aacplusenc ........ AAC+ encoder -------------------------------------------------> [O/n] ? o
DEJA INSTALLE:    mp3gain ........... Normaliseur de fichier mp3 
DEJA INSTALLE:    mpg321 ............ Conversion mp3 : wav 
DEJA INSTALLE:    wavsplit .......... Decoupage de fichiers sans decodage 
DEJA INSTALLE:    mp3splt ........... Decoupage de fichiers sans decodage 
DEJA INSTALLE:    cuebreakpoints .... Decoupage de fichiers sans decodage 
DEJA INSTALLE:    vorbisgain ........ Normaliseur de fichier ogg 
DEJA INSTALLE:    mppdec ............ MPC Decodeur 
DEJA INSTALLE:    mppenc ............ MPC Encodeur 
DEJA INSTALLE:    mac ............... Monkey's Audio 
DEJA INSTALLE:    shorten ........... Forte compression au format wave 
DEJA INSTALLE:    w64codecs ......... Codecs video non supportes par mplayer / PAS INDISPENSDABLE 
DEJA INSTALLE:    normalize-audio ... Normaliseur de fichier wav 
DEJA INSTALLE:    checkmp3 .......... Cherche des renseignements sur les formats mp3 
DEJA INSTALLE:    convert ........... [imagemagick] Manipulation de formats d'images 
Installation de:  mplayer ........... Lecteur et extracteur ----------------------------------------> [O/n] ? o
DEJA INSTALLE:    faac .............. Audio Codeur freeware 
DEJA INSTALLE:    faad .............. MPEG-4 AAC decodeur 
DEJA INSTALLE:    sox ............... Transformation universelle de fichiers son 
DEJA INSTALLE:    ps2pdf ............ Conversion  fichier  *.PS vers  *.PDF 
DEJA INSTALLE:    oggenc ............ [Vorbis-tools] Conversion wav : ogg 
DEJA INSTALLE:    lame .............. Conversion wav : mp3 
DEJA INSTALLE:    flac .............. Conversion wav : flac 
DEJA INSTALLE:    wavpack ........... [wavpack] WAVPACK  Hybrid Lossless Audio Compressor 
DEJA INSTALLE:    lsdvd ............. Cherche les informations d'un dvd 
DEJA INSTALLE:    cdparanoia ........ Extracteur cd audio 
DEJA INSTALLE:    shntool ........... Decoupage de fichiers sans decodage 
DEJA INSTALLE:    abcde ............. Recherche les infos d'un cd audio 
DEJA INSTALLE:    icedax ............ Extracteur cd audio 

+=============================================================================
|  I N S T A L L A T I O N  D E S   A P P L I C A T I O N S...
+=============================================================================
wget --quiet --directory-prefix=/home/cthulhu/Téléchargement/REP_DOWNLOAD http://download.tuxfamily.org/xcfaudio/convertisseurs/i386/Deb/aacplusenc_0.17.3_i386.deb
Sélection du paquet aacplusenc précédemment désélectionné.
(Lecture de la base de données... 102767 fichiers et répertoires déjà installés.)
Dépaquetage de aacplusenc (à partir de .../aacplusenc_0.17.3_i386.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu       
Initialisation de l'état des paquets... Fait
Écriture de l'information d'état étendu... Fait
Lecture des descriptions de tâches... Fait       
Les paquets partiellement installés suivants seront configurés : 
  aacplusenc 
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0o d'archives. Après dépaquetage, 0o seront utilisés.
Écriture de l'information d'état étendu... Fait
Paramétrage de aacplusenc (0.17.3) ...
E: Répertoire /var/log/apt/ inexistant
Lecture des listes de paquets... Fait             
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu       
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait  

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu       
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait  
Les paquets suivants sont CASSÉS : 
  mplayer 
Les NOUVEAUX paquets suivants vont être installés : 
  libamrnb3{a} libamrwb3{a} libcucul0{a} libggi-target-x{a} libggi2{a} libgii1{a} libgii1-target-x{a} liblircclient0{a} 
  liblzo2-2{a} libopenal1{a} libx264-65{a} libxvidcore4{a} mplayer-skin-blue{a} 
0 paquets mis à jour, 14 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 6400ko/6830ko d'archives. Après dépaquetage, 15,3Mo seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
  mplayer: Dépend: libdirectfb-1.0-0 qui est un paquet virtuel
Les actions suivantes permettront de résoudre ces dépendances :

Conserver les paquets suivants dans leur version actuelle :
mplayer [Non installé]

Laisser les dépendances suivantes non satisfaites :
mplayer-skin-blue recommande mplayer
Le score est de -10079

Écriture de l'information d'état étendu... Fait
E: Répertoire /var/log/apt/ inexistant
Lecture des listes de paquets... Fait             
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu       
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait  



============================
 !  MERCI POUR LES TESTS  !
============================

Ben, il veux pas !

Mais comme je suis du genre bourrin :

Code:

cthulhu@xaveee:~$ sudo aptitude install mplayer
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu      
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait  
Les paquets suivants sont CASSÉS : 
  mplayer 
Les NOUVEAUX paquets suivants vont être installés : 
  libamrnb3{a} libamrwb3{a} libcucul0{a} libggi-target-x{a} libggi2{a} libgii1{a} libgii1-target-x{a} liblircclient0{a} 
  liblzo2-2{a} libopenal1{a} libx264-65{a} libxvidcore4{a} mplayer-skin-blue{a} 
0 paquets mis à jour, 14 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 6400ko/6830ko d'archives. Après dépaquetage, 15,3Mo seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
  mplayer: Dépend: libdirectfb-1.0-0 qui est un paquet virtuel
Les actions suivantes permettront de résoudre ces dépendances :

Conserver les paquets suivants dans leur version actuelle :
mplayer [Non installé]

Laisser les dépendances suivantes non satisfaites :
mplayer-skin-blue recommande mplayer
Le score est de -10079

Accepter cette solution ? [Y/n/q/?] n
Les actions suivantes permettront de résoudre ces dépendances :

Installer les paquets suivants :
libavcodec52 [3:0.svn20090303-1 (testing, now)]
libavformat52 [3:0.svn20090303-1 (testing)]
libavutil49 [3:0.svn20090303-1 (testing, now)]
libpostproc51 [3:0.svn20090303-1 (testing, now)]
libschroedinger-1.0-0 [1.0.7-1 (testing, now)]
libswscale0 [3:0.svn20090303-1 (testing)]
mplayer [1.0~rc3+svn20090405-1 (testing)]

Le score est de -10052

Accepter cette solution ? [Y/n/q/?] Y
Les NOUVEAUX paquets suivants vont être installés : 
  libavcodec52{a} libavformat52{a} libavutil49{a} liblircclient0{a} liblzo2-2{a} libopenal1{a} libpostproc51{a} 
  libschroedinger-1.0-0{a} libswscale0{a} mplayer mplayer-skin-blue{a} 
0 paquets mis à jour, 11 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0o/8752ko d'archives. Après dépaquetage, 20,4Mo seront utilisés.
Voulez-vous continuer ? [Y/n/?] Y
Écriture de l'information d'état étendu... Fait
Sélection du paquet libavutil49 précédemment désélectionné.
(Lecture de la base de données... 102771 fichiers et répertoires déjà installés.)
Dépaquetage de libavutil49 (à partir de .../libavutil49_3%3a0.svn20090303-1_i386.deb) ...
Sélection du paquet libschroedinger-1.0-0 précédemment désélectionné.
Dépaquetage de libschroedinger-1.0-0 (à partir de .../libschroedinger-1.0-0_1.0.7-1_i386.deb) ...
Sélection du paquet libavcodec52 précédemment désélectionné.
Dépaquetage de libavcodec52 (à partir de .../libavcodec52_3%3a0.svn20090303-1_i386.deb) ...
Sélection du paquet libavformat52 précédemment désélectionné.
Dépaquetage de libavformat52 (à partir de .../libavformat52_3%3a0.svn20090303-1_i386.deb) ...
Sélection du paquet liblircclient0 précédemment désélectionné.
Dépaquetage de liblircclient0 (à partir de .../liblircclient0_0.8.3-3_i386.deb) ...
Sélection du paquet liblzo2-2 précédemment désélectionné.
Dépaquetage de liblzo2-2 (à partir de .../liblzo2-2_2.03-1_i386.deb) ...
Sélection du paquet libopenal1 précédemment désélectionné.
Dépaquetage de libopenal1 (à partir de .../libopenal1_1%3a1.7.411-1_i386.deb) ...
Sélection du paquet libpostproc51 précédemment désélectionné.
Dépaquetage de libpostproc51 (à partir de .../libpostproc51_3%3a0.svn20090303-1_i386.deb) ...
Sélection du paquet libswscale0 précédemment désélectionné.
Dépaquetage de libswscale0 (à partir de .../libswscale0_3%3a0.svn20090303-1_i386.deb) ...
Sélection du paquet mplayer-skin-blue précédemment désélectionné.
Dépaquetage de mplayer-skin-blue (à partir de .../mplayer-skin-blue_1.6-2_all.deb) ...
Sélection du paquet mplayer précédemment désélectionné.
Dépaquetage de mplayer (à partir de .../mplayer_1.0~rc3+svn20090405-1_i386.deb) ...
Traitement des actions différées (« triggers ») pour « hicolor-icon-theme »...
Traitement des actions différées (« triggers ») pour « man-db »...
Traitement des actions différées (« triggers ») pour « menu »...
Traitement des actions différées (« triggers ») pour « desktop-file-utils »...
Paramétrage de libavutil49 (3:0.svn20090303-1) ...
Paramétrage de libschroedinger-1.0-0 (1.0.7-1) ...
Paramétrage de libavcodec52 (3:0.svn20090303-1) ...
Paramétrage de libavformat52 (3:0.svn20090303-1) ...
Paramétrage de liblircclient0 (0.8.3-3) ...
Paramétrage de liblzo2-2 (2.03-1) ...
Paramétrage de libopenal1 (1:1.7.411-1) ...
Paramétrage de libpostproc51 (3:0.svn20090303-1) ...
Paramétrage de libswscale0 (3:0.svn20090303-1) ...
Paramétrage de mplayer-skin-blue (1.6-2) ...
Paramétrage de mplayer (1.0~rc3+svn20090405-1) ...
Traitement des actions différées (« triggers ») pour « menu »...
localepurge: Disk space freed in /usr/share/man: 892K
E: Répertoire /var/log/apt/ inexistant
Lecture des listes de paquets... Fait             
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu      
Initialisation de l'état des paquets... Fait
Écriture de l'information d'état étendu... Fait
Lecture des descriptions de tâches... Fait

Dernière modification par Cthulhu (21-05-2009 08:04:27)

Hors ligne

 

#52 21-05-2009 08:41:08

xcfaudio
Administrateur

Re: Script d'installation des paquets "tiers" sous Debian Lenny

Salut @Cthulhu,

Curieuse cette ligne:

mplayer: Dépend: libdirectfb-1.0-0 qui est un paquet virtuel

J'allais justement de te demander de faire:
    # aptitude install mplayer

Donc au final, mplayer est installé, c'est ça  ?

Hors ligne

 

#53 21-05-2009 11:08:46

Cthulhu
Nouveau membre

Re: Script d'installation des paquets "tiers" sous Debian Lenny

Ouaip, il fonctionne, tout va bien !

Je faisais surtout le test pour vous !

Hors ligne

 

#54 21-05-2009 13:11:53

xcfaudio
Administrateur

Re: Script d'installation des paquets "tiers" sous Debian Lenny

Merci pour les tests  @Cthulhu  wink

Hors ligne

 

Pied de page des forums

Propulsé par FluxBB
Traduction par FluxBB.fr